Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.util
Class Base64

    java.lang.Object
      com.mindbright.util.Base64

public final class Base64
extends java.lang.Object

Static routines for base64-encoding/decoding

Constructor Summary
`Base64()`

Method Summary
`static byte[]` | `decode(byte[] data)` Decode a given base64-blob
`static byte[]` | `decode(byte[] encoded, int offset, int length)` Decode a given base64-blob
`static byte[]` | `encode(byte[] data)` Encode a binary blob of data
`static byte[]` | `encode(byte[] data, int offset, int length)` Encode a binary blob of data

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### encode

    public static byte[] encode(byte[] data)

  Encode a binary blob of data

  Parameters:
    `data` - the data to encode
  Returns:
    an array of base64-encoded data

### encode

    public static byte[] encode(byte[] data,
                                int offset,
                                int length)

  Encode a binary blob of data

  Parameters:
    `data` - array containing the data to encode
    `offset` - offset of start of data in array
    `length` - how many bytes of data to encode
  Returns:
    an array of base64-encoded data

### decode

    public static byte[] decode(byte[] data)

  Decode a given base64-blob

  Parameters:
    `data` - the base64-encoded blob to decode
  Returns:
    the decoded data

### decode

    public static byte[] decode(byte[] encoded,
                                int offset,
                                int length)

  Decode a given base64-blob

  Parameters:
    `encoded` - array containing the base64-encoded blob to decode
    `offset` - offset of data to decode in array
    `length` - length of data to decode
  Returns:
    the decoded data

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD